Bug 1029819 - Creating kickstart of virt type "Xen Para-Virtualized Guest" for EL6 fails.
Creating kickstart of virt type "Xen Para-Virtualized Guest" for EL6 fails.
Status: NEW
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
560
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jan Dobes
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2013-11-13 05:01 EST by Dimitar Yordanov
Modified: 2015-11-16 11:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2013-11-13 05:01:26 EST
Description of problem:
Creating kickstart of Virtualization Type "Xen Para-Virtualized Guest" and base channel RHEL6 x86_64 fails.

Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-46
cobbler-2.0.7-37

How reproducible:
100%

Steps to Reproduce:
1. Sync EL6 to Satellite 5.6
     nohup satellite-sync -c rhel-x86_64-server-6 &
2. Try to create kickstart:
    Systems -> Kickstart -> create new kickstart profile
      Base Channel* : Red Hat Enterprise Linux Server (v.6 for 64-bit x86_64)
      Virtualization Type: Xen Para-Virtualized Guest


Actual results:
Selected kickstartable tree isn't available at the moment. Please check cobbler functionality.

Expected results:
No message.

Additional info:
Comment 1 Stephen Herr 2014-07-01 15:19:23 EDT
Xen support was dropped in favor of KVM in RHEL 6. The "fix" should be to hide the invalid xen options if this is a RHEL 6 or higher base channel.
Comment 2 Tomas Lestach 2015-11-16 11:07:55 EST
Resetting to default owner.

Note You need to log in before you can comment on or make changes to this bug.